Announcement

Collapse
No announcement yet.

Logitech Media Server 8.3.0 released

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    #76
    Logitech Media Server 8.3.0released

    > Now I would like to use new 8.3.0 in my new 720+ with DSM 7.x in my work
    > dockered with Spotty. In my work there is no Squeezebox
    >
    > Is this possible?


    I don't understand. But sure: you can install LMS wherever you want. No
    need for a Squeezebox or music player. It just doesn't make sense :-).
    Michael

    "It doesn't work - what shall I do?" - "Please check your server.log and/or scanner.log file!"
    (LMS: Settings/Information)

    Comment


      #77
      Originally posted by mherger View Post
      > Now I would like to use new 8.3.0 in my new 720+ with DSM 7.x in my work
      > dockered with Spotty. In my work there is no Squeezebox
      >
      > Is this possible?


      I don't understand. But sure: you can install LMS wherever you want. No
      need for a Squeezebox or music player. It just doesn't make sense :-).
      Ok. Thank you Michael. I have an Squeezebox Classic with LMS in my home Synology 918+ . And I am very happy with it. What I wanted to know, if there is dockerized 8.3.0 yet for installing it in my work Synology 720+. Spotty came to life my Squeezebox Classic.

      Thank you

      jotap_66

      Comment


        #78
        Logitech Media Server 8.3.0released

        > Ok. Thank you Michael. I have an Squeezebox Classic with LMS in my home
        > Synology 918+ . And I am very happy with it. What I wanted to know, if
        > there is dockerized 8.3.0 yet for installing it in my work Synology
        > 720+. Spotty came to life my Squeezebox Classic.


        Sure, the official docker image has been updated to 8.3, too.
        Michael

        "It doesn't work - what shall I do?" - "Please check your server.log and/or scanner.log file!"
        (LMS: Settings/Information)

        Comment


          #79
          Originally posted by mherger View Post
          > Ok. Thank you Michael. I have an Squeezebox Classic with LMS in my home
          > Synology 918+ . And I am very happy with it. What I wanted to know, if
          > there is dockerized 8.3.0 yet for installing it in my work Synology
          > 720+. Spotty came to life my Squeezebox Classic.


          Sure, the official docker image has been updated to 8.3, too.

          Thank you Michael

          Jotap_66

          Comment


            #80
            New version working great on QNAP TS-253D

            Just wanted to give general feedback. All is well on my QNAP NAS. Thank you!

            Logitech Media Server Version: 8.3.1 - 1668787267 @ Fri 18 Nov 2022 05:29:34 PM CET
            Hostname: TS-253D
            Server IP Address: 192.168.10.168
            Server HTTP Port Number: 9001
            Operating system: QLMS 2.X (QNAP TurboStation) [Debian 9 stretch] - EN - utf8
            Platform Architecture: x86_64-linux
            Perl Version: 5.36.0 - x86_64-linux-thread-multi
            Audio::Scan: 1.05
            IO::Socket::SSL: 2.070
            Database Version: DBD::SQLite 1.58 (sqlite 3.22.0)
            Total Players Recognized: 2
            QNAP TS-253D with 4TB EXOS drives RAID 1, QTS 5.0.0

            Comment


              #81
              Originally posted by Bill0t View Post
              Works like a charm on an old Synology DS418J
              Thanks to all !
              Hi,

              I have a Synology DS218+ (with DSM 7.1.1-42962 Update 1). Please could you let me know how I can install LSM in my Synology?

              Many thanks,
              Daniel

              Comment


                #82
                Logitech Media Server 8.3.0released

                > I have a Synology DS218+ (with DSM 7.1.1-42962 Update 1). Please could
                > you let me know how I can install LSM in my Synology?


                With DSM7 there are two options: use a different device (eg. a Raspberry
                Pi), or run it in Docker. The latter should be possible for you, as I
                think your devices is Intel based. LMS in Docker on Synology is well
                documented and covered in other threads.
                Michael

                "It doesn't work - what shall I do?" - "Please check your server.log and/or scanner.log file!"
                (LMS: Settings/Information)

                Comment


                  #83
                  Originally posted by mherger View Post
                  I guess the binaries aren't as far backwards compatible as I thought. According to my notes macOS 10.12 should be the minimum required - you're on 10.13, aren't you?
                  Not sure where I could find the info (most certainly here with a few hours of searching), but what is the latest LMS version I could use with Mac Min I running 10.7.5?

                  Comment


                    #84
                    Originally posted by mherger View Post
                    > 👍 Did Logitech transfer the admin rights of the MySB website to you?
                    > Just curious how you can post updates there.


                    I'm still a full time Logitech employee. I've been maintaining MySB for
                    the past decade or so :-D.
                    An manu thanks for this amongst all your other efforts. I still use mySB on occasion, when my server has gone MIA for some reason...

                    Comment


                      #85
                      Logitech Media Server 8.3.0released

                      > Not sure where I could find the info (most certainly here with a few
                      > hours of searching), but what is the latest LMS version I could use with
                      > Mac Min I running 10.7.5?


                      LMS 8.3.1 should work again on older Macs.
                      Michael

                      "It doesn't work - what shall I do?" - "Please check your server.log and/or scanner.log file!"
                      (LMS: Settings/Information)

                      Comment


                        #86
                        MacOS 10.7.5: "Can't locate Tie/Cache/LRU.pm"

                        Originally posted by mherger View Post
                        > Not sure where I could find the info (most certainly here with a few
                        > hours of searching), but what is the latest LMS version I could use with
                        > Mac Min I running 10.7.5?


                        LMS 8.3.1 should work again on older Macs.
                        I got out my old white macbook to test there first - it too is a core2 duo running 10.7.5. Installation went fine but it will not start; can you see anything obvious?

                        Code:
                        badger:server christopher$ uname -a
                        Darwin badger.localdomain 11.4.2 Darwin Kernel Version 11.4.2: Thu Aug 23 16:26:45 PDT 2012; root:xnu-1699.32.7~1/RELEASE_I386 i386
                        badger:server christopher$ pwd
                        /Library/PreferencePanes/Squeezebox.prefPane/Contents/server
                        badger:server christopher$ ./slimserver.pl
                        The following modules failed to load: EV JSON::XS YAML::XS
                        
                        
                        This is perl 5, version 12, subversion 3 (v5.12.3) built for darwin-thread-multi-2level
                        (with 2 registered patches, see perl -V for more detail)
                        
                        Copyright 1987-2010, Larry Wall
                        
                        Perl may be copied only under the terms of either the Artistic License or the
                        GNU General Public License, which may be found in the Perl 5 source kit.
                        
                        Complete documentation for Perl, including FAQ lists, should be found on
                        this system using "man perl" or "perldoc perl".  If you have access to the
                        Internet, point your browser at http://www.perl.org/, the Perl Home Page.
                        
                        
                        *******
                        
                        NOTE:
                        
                        If you're running some unsupported Linux/Unix platform, please use the buildme.sh
                        script located here:
                        
                        https://github.com/Logitech/slimserver-vendor/tree/public/8.3/CPAN
                        
                        If 8.3 is outdated by the time you read this, Replace "8.3" with the major version
                        You should never need to do this if you're on Windows or Mac OSX. If the installers
                        don't work for you, ask for help and/or report a bug.
                        
                        *******
                        
                                    
                        Exiting..
                        Can't locate Tie/Cache/LRU.pm in @INC (@INC contains: /Library/Application Support/Squeezebox /Users/christopher/Library/Application Support/Squeezebox /Library/PreferencePanes/Squeezebox.prefPane/Contents/server /Library/Perl/5.12/darwin-thread-multi-2level /Library/Perl/5.12 /Network/Library/Perl/5.12/darwin-thread-multi-2level /Network/Library/Perl/5.12 /Library/Perl/Updates/5.12.3 /System/Library/Perl/5.12/darwin-thread-multi-2level /System/Library/Perl/5.12 /System/Library/Perl/Extras/5.12/darwin-thread-multi-2level /System/Library/Perl/Extras/5.12 .) at /Library/PreferencePanes/Squeezebox.prefPane/Contents/server/Slim/Utils/OS/OSX.pm line 299.
                        INIT failed--call queue aborted at ./slimserver.pl line 176.
                        badger:server christopher$

                        Comment


                          #87
                          Hello, would it be possible to install this version on a Synology DS211j NAS please?
                          Alternatively, is there a working version for this NAS?
                          Thank you for the advice.
                          Jack

                          Comment


                            #88
                            Logitech Media Server 8.3.0released

                            > Hello, would it be possible to install this version on a Synology DS211j
                            > NAS please?


                            No. Synology dropped support for LMS in DSM7. Consequently the
                            maintainer of the packages for Synology stopped producing packages.

                            With a device that old you'll be much happier running LMS on a Raspberry
                            Pi, even if it's "only" a Pi3.
                            Michael

                            "It doesn't work - what shall I do?" - "Please check your server.log and/or scanner.log file!"
                            (LMS: Settings/Information)

                            Comment


                              #89
                              Logitech Media Server 8.3.0released

                              > I got out my old white macbook to test there first - it too is a core2
                              > duo running 10.7.5. Installation went fine but it will not start; can
                              > you see anything obvious?


                              > This is perl 5, version 12, subversion 3 (v5.12.3) built for darwin-thread-multi-2level


                              There's no Perl 5.18?

                              macOS 10.7 is really old... more than 10 years. I'm sorry if that's not
                              supported any more.
                              Michael

                              "It doesn't work - what shall I do?" - "Please check your server.log and/or scanner.log file!"
                              (LMS: Settings/Information)

                              Comment


                                #90
                                How can I updgrade my docker container on synology to 8.3 ?

                                Thanks

                                Comment

                                Working...
                                X